﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface ISectionItemService
    {
        Task<ServiceResult<int>> Create(SectionItemCreateDto newSectionItem);
        Task<ServiceResult<bool>> Delete(int sectionItemId);
        Task<ServiceResult<bool>> OrderSectionItems(List<OrderDto> orderDtos);
        Task<ServiceResult<int>> CreateValidations(List<SectionItemCreateDto> sectionItems, bool isFromCreateSection = false);
    }
}
