﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace Tsi1.DataLayer.Migrations
{
    public partial class addrelationbetweenactivityandevaluation : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_Activities_EvaluationId",
                table: "Activities");

            migrationBuilder.AddColumn<int>(
                name: "ActivityId",
                table: "Evaluations",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.CreateIndex(
                name: "IX_Activities_EvaluationId",
                table: "Activities",
                column: "EvaluationId",
                unique: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_Activities_EvaluationId",
                table: "Activities");

            migrationBuilder.DropColumn(
                name: "ActivityId",
                table: "Evaluations");

            migrationBuilder.CreateIndex(
                name: "IX_Activities_EvaluationId",
                table: "Activities",
                column: "EvaluationId");
        }
    }
}
